<!DOCTYPE html>
<html>
<head>
	<meta charset="utf-8">
	<meta name="viewport" content="width=device-width, initial-scale=1">
	<title>HTML Tables</title>
</head>
<body>
	<!-- ctrl + shift + v -to paste codes following the file's format -->
	<h2 align="center">
		Welcom to the Tables Page
	</h2>
	<!-- id is and attribute that we add to an element to show a unique identifier that element. This can be used for nabigating within a page, styling inC CSS and even adding features with the Javascript -->

	<!-- Semantic Div - semantic divs are divs with ids that appropriately identifies of the purposes of the content. -->

<div id="navDiv">
		<a href="./index.html">Go To HTML Forms, Tables and Semantic HTML</a>
		<a href="./form.html">Go To HTML Forms</a>
		<a href="../activity/contact.html">Go To Contact Page</a>
	</div>


	<h3 align="center">
		HTML Entities
	</h3>

	<!-- & ampersand -->

	<!-- &lt(<), &gt(>)  -->

	<p>
		<em>There are reserved in characters in HTML. (e.g. &lt or &gt)</em>
    </p>
<p>
	HTML Entities start with an ampersand(&) and ends  in semicolon. (;) &lt;&gt;
</p>
<!-- 
    table tag allows to create a table to display data/information in a tabular form in rows and columns. 
   
    border attribute when added to a table will allow us to determin the thickness of the borders in a table
-->

<table border="1">
   <!-- tr means table row. It allows us to create a row in an HTML table. -->
   <!-- thead is used to group header/heading conbtent which will be labels per column -->

  <thread>
    <tr>
    	
    	<!-- th means table header. It allows us to add cells which will be our headers . text in this element will b e bolder. -->

    	<!-- colspan attribute allows to add how many columns a cell will occupy -->

    	<!-- rowspan attribute allows to add how many row a cell will occupy -->


    	<th colspan="2">Entity</th>
    	<th>Description</th>
    </tr>
   </thread>
<tbody>
	<!-- tbody tag is used to group the body content of an HTML table. This is where the bulk of td or table data will be put. -->

	    <tr>
		<!-- td table data. These cells have default formatted text unlike th -->

		    <td>&lt;</td>
		    <td>lt</td>
		    <td>Less than</td>
	    </tr>

        <tr>
	        <td>&gt;</td>
	        <td>gt</td>
	        <td>Greater Than</td>
         </tr>
         <tr>
	        <td>&#8369;</td>
	        <td>#8369</td>
	        <td>Peso Sign</td>
        </tr>
        <tr>
        	<td>&amp;</td>
        	<td>amp</td>
        	<td>Ampersand</td>
        </tr>
        <tr>
        	<td>&quot;</td>
        	<td>quot</td>
        	<td>Double Quotation Mark</td>

        </tr>
        <tr>
        	<td>&apos;</td>
        	<td>apos</td>
        	<td>Aposthrope (Single Quotation Mark</td>
        </tr>
        <tr>
        	<td>&ntilde;</td>
        	<td>ntilde</td>
        	<td>Lower Tilde</td>
        </tr>
        <tr>
        	<td>&Ntilde</td>
        	<td>Ntilde</td>
        	<td>Uppper Tilde</td>
        </tr>
    </tbody>

    <tfoot>
    	<!-- tfoot or table footer used to group footer content in an HTML table. It allows us to add misc content related to the table. -->
        <tr>
        	<th colspan="3">These are common HTML Entities. There are many more to be learned.</th>
        </tr>


    </tfoot>

 </table>
<hr>
<!-- Mini Activity 
    
    Add an h3 with the text : My product list 

    Create a Product List and Display it in a table.

    The Table shoulde have at least three Columns: 

    -name
    -price
    -description

    add atleazst 5 products -->
<h3>My Product List</h3>
   

    <table border="1">
    	<thread>
    		<tr>
    			<th>Name</th>
    			<th>Price</th>
    			<th>Description</th>
    		</tr>
    	</thread>

  	<tbody>
  		<tr>
  			<td>Poco X3 GT</td>
  			<td>&#8369;15,990.00</td>
  			<td>The Poco X3 GT features an always-on fingerprint scanner mounted on its power key. Unsurprisingly for a senor mounted on the body of a phone it is blazing fast and has high reliability. The Poco X3 GT measures 163.3 x 75.9 x 8.9mm and weighs 193g - meaning it is 2mm shorter, a hair thinner and 22g lighter than the Poco X3 Pro.<td>
  		</tr>
  		<tr>
  			<td>Head and Shoulders</td>
  			<td>&#8369;169.00</td>
  			<td>Head and shoulders is one of the many popular chart patterns widely used by investors and traders to determine market trend. Such a formation usually occurs on the technical chart of a stock/index, when the same is in the process of reversing an ongoing trend<td>
  		</tr>
  		<tr>
  			<td>Dove hair Therapy</td>
  			<td>&#8369;187.00</td>
  			<td>The Dove Hair Therapy Intense Repair Shampoo is a strengthening shampoo that helps the hair repair from within and treats the hair with long term and short term results. The shampoo penetrates deep within the hair and rebuilds the damaged hair, renews the lost gloss and gives life to the hair.d<td>
  		</tr>
  		<tr>
  			<td>Dove Soap</td>
  			<td>&#8369;79.00</td>
  			<td>Dove is primarily made from synthetic surfactants, vegetable oils (such as palm kernel) and salts of animal fats (tallow). In some countries, Dove is derived from tallow, and for this reason it is not considered vegan, unlike vegetable oil based soaps<td>
  		</tr>
  		<tr>
  			<td>Axe Apollo Body Spray</td>
  			<td>&#8369;250.00</td>
  			<td>AXE Body Spray for Men Phoenix 4 oz is part of the Phoenix male grooming range from AXE. It is a classic, fruity fragrance featuring lavender, geranium and citrus. Its earthly composition and subtle blend of wood and fruit refresh the senses.<td>
  		</tr>

  	</tbody>


    	
    	

    </table>

</body>
</html>
